# OpenLayers.Format.GML.v2

Parses GML version 2.

#### Inherits from

- OpenLayers.Format.GML.Base

Summary

OpenLayers.Format.GML.v2 | Parses GML version 2.
Properties |
schemaLocation | {String} Schema location for a particular minor version.
Constructor |
OpenLayers.Format.GML.v2 | Create a parser for GML v2.
Properties and Functions |
readers | Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name.
write |
writers | As a compliment to the readers property, this structure contains public writing functions grouped by namespace alias and named like the node names they produce.

### Properties

### schemaLocation

{String} Schema location for a particular minor version.

### Constructor

### OpenLayers.Format.GML.v2

Create a parser for GML v2.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

#### Valid options properties

featureType | {String} Local (without prefix) feature typeName (required).
featureNS | {String} Feature namespace (required).
geometryName | {String} Geometry element name.

### Properties and Functions

### readers

Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name. The function will be applied in the scope of this parser with two arguments: the node being read and a context object passed from the parent.

### write

> write: function( | features | )

#### Parameters

features | {Array(OpenLayers.Feature.Vector) | OpenLayers.Feature.Vector} An array of features or a single feature.

#### Returns

{String} Given an array of features, a doc with a gml:featureMembers element will be returned. Given a single feature, a doc with a gml:featureMember element will be returned.

### writers

As a compliment to the readers property, this structure contains public writing functions grouped by namespace alias and named like the node names they produce.

> write: function( | features | )

Superclass for GML parsers.
Vector features use the OpenLayers.Geometry classes as geometry description.
Close